Module | Sequel::SQLite
In: | lib/sequel/adapters/shared/sqlite.rb lib/sequel/adapters/sqlite.rb

Top level module for holding all SQLite-related modules and classes for Sequel.

### Methods

blob boolean date float integer numeric time timestamp

### Classes and Modules

Module Sequel::SQLite::DatabaseMethods
Module Sequel::SQLite::DatasetMethods

### Constants

TYPE_TRANSLATOR | = | tt = Class.new do FALSE_VALUES = %w'0 false f no n'.freeze

### Public Instance methods

blob(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 16
    16:       def blob(s) ::Sequel::SQL::Blob.new(s) end

boolean(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 15
    15:       def boolean(s) !FALSE_VALUES.include?(s.downcase) end

date(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 20
    20:       def date(s) ::Sequel.string_to_date(s) end

float(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 18
    18:       def float(s) s.to_f end

integer(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 17
    17:       def integer(s) s.to_i end

numeric(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 19
    19:       def numeric(s) ::BigDecimal.new(s) rescue s end

time(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 21
    21:       def time(s) ::Sequel.string_to_time(s) end

timestamp(s)

[Source]

        # File lib/sequel/adapters/sqlite.rb, line 22
    22:       def timestamp(s) ::Sequel.database_to_application_timestamp(s) end

[Validate]